# This file created by conda-build 3.16.3
# meta.yaml template originally from:
# /faiss/conda/faiss-gpu, last modified Tue Apr  2 18:47:20 2019
# ------------------------------------------------

package:
    name: faiss-gpu
    version: 1.5.1
source:
    git_url: ../../
build:
    number: '1'
    script_env:
        - CUDA_ARCH
        - CUDA_ROOT
    string: py37hfdbe982_1
requirements:
    build:
        - sqlite 3.27.2 h7b6447c_0
        - xz 5.2.4 h14c3975_4
        - binutils_impl_linux-64 2.28.1 had2808c_3
        - pip 19.0.3 py37_0
        - libstdcxx-ng 8.2.0 hdf63c60_1
        - binutils_linux-64 5.4.0 had2808c_24
        - pcre 8.43 he6710b0_0
        - ncurses 6.1 he6710b0_1
        - tk 8.6.8 hbc83047_0
        - gxx_impl_linux-64 5.4.0 hdf63c60_3
        - wheel 0.33.1 py37_0
        - python 3.7.3 h0371630_0
        - swig 3.0.12 h38cdd7d_3
        - gcc_linux-64 5.4.0 h98af8de_24
        - ca-certificates 2019.1.23 0
        - libgcc-ng 8.2.0 hdf63c60_1
        - libffi 3.2.1 hd88cf55_4
        - readline 7.0 h7b6447c_5
        - gcc_impl_linux-64 5.4.0 habb00fd_3
        - certifi 2019.3.9 py37_0
        - libedit 3.1.20181209 hc058e9b_0
        - gxx_linux-64 5.4.0 h98af8de_24
        - zlib 1.2.11 h7b6447c_3
        - openssl 1.1.1b h7b6447c_1
        - setuptools 40.8.0 py37_0
    host:
        - sqlite 3.27.2 h7b6447c_0
        - blas 1.0 mkl
        - cudatoolkit 8.0 3
        - xz 5.2.4 h14c3975_4
        - pip 19.0.3 py37_0
        - libstdcxx-ng 8.2.0 hdf63c60_1
        - mkl 2019.3 199
        - python 3.7.3 h0371630_0
        - tk 8.6.8 hbc83047_0
        - libgfortran-ng 7.3.0 hdf63c60_0
        - certifi 2019.3.9 py37_0
        - numpy 1.11.3 py37h7e9f1db_12
        - wheel 0.33.1 py37_0
        - ncurses 6.1 he6710b0_1
        - numpy-base 1.11.3 py37hde5b4d6_12
        - ca-certificates 2019.1.23 0
        - libgcc-ng 8.2.0 hdf63c60_1
        - libffi 3.2.1 hd88cf55_4
        - readline 7.0 h7b6447c_5
        - libedit 3.1.20181209 hc058e9b_0
        - zlib 1.2.11 h7b6447c_3
        - openssl 1.1.1b h7b6447c_1
        - intel-openmp 2019.3 199
        - setuptools 40.8.0 py37_0
    run:
        - python >=3.7,<3.8.0a0
        - mkl >=2018
        - cudatoolkit >=8.0,<8.1.0a0
        - blas=*=mkl
        - libgcc-ng >=5.4.0
        - libstdcxx-ng >=5.4.0
        - numpy >=1.11
about:
    home: https://github.com/facebookresearch/faiss
    license: BSD 3-Clause
    license_family: BSD
    license_file: LICENSE
    summary: A library for efficient similarity search and clustering of dense vectors.
extra:
    copy_test_source_files: true
    final: true
